Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040574
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementminorhave not tried2019-04-10 11:412019-06-05 20:54
ReportershuehnerView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision014ef9ca9806
ProjectionnoneETAnoneTarget Version3.0PR19Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040574: SequenceProductCreate.getLineNum is not using bind-parameters

DescriptionThis code is not using bind-params:

    String hql = " SELECT COALESCE(MAX(l.lineNo),0)+10 AS DefaultValue FROM ManufacturingOperationProduct l WHERE l.mASequence.id= '"
        + SequenceId + "'";
    Query<Long> q = OBDal.getInstance().getSession().createQuery(hql, Long.class);
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00408323.0PR19Q2.1 closednonofrancisco SequenceProductCreate.getLineNum is not using bind-parameters 
depends on backport 00408333.0PR19Q1.2 closednonofrancisco SequenceProductCreate.getLineNum is not using bind-parameters 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111608)
nonofrancisco (developer)
2019-05-09 23:45

Test Plan

As Openbravo/F&B International Group Admin

Open Activity window
Create a new record

Open Product window
Create a new record
Set production = true

Open Process Plan window
Create a new record
Go to Version tab
Create a new record
Go to Operations tab
Create a new record
Set Activity to the previously created one
Go to I/O Products tab
Create a new record
Set product to the previously created one
Click on Create Product Copy button
Accept default values
Verify a new product is created with line number 20
(0112417)
hgbot (developer)
2019-06-05 13:11

Repository: erp/devel/pi
Changeset: 014ef9ca9806dd5d349dd2b31293a6ffc271e5d6
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Wed May 01 22:53:24 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/014ef9ca9806dd5d349dd2b31293a6ffc271e5d6 [^]

Fixes issue 40574: Uses bind parameter.

Instead of string concatenation, bind parameter is used to build the query.

---
M src/org/openbravo/erpCommon/ad_actionButton/SequenceProductCreate.java
---
(0112429)
Sandrahuguet (developer)
2019-06-05 15:54

code review + testing ok
(0112444)
hudsonbot (developer)
2019-06-05 20:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a8037910e3ad [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-10 11:41 shuehner New Issue
2019-04-10 11:41 shuehner Assigned To => Triage Finance
2019-04-10 11:41 shuehner Modules => Core
2019-04-10 11:41 shuehner Triggers an Emergency Pack => No
2019-04-10 11:41 shuehner Relationship added blocks 0038136
2019-05-02 05:24 nonofrancisco Status new => scheduled
2019-05-03 11:58 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-05-09 23:24 nonofrancisco Status scheduled => acknowledged
2019-05-09 23:25 nonofrancisco Status acknowledged => scheduled
2019-05-09 23:45 nonofrancisco Note Added: 0111608
2019-05-13 12:37 shuehner Target Version => 3.0PR19Q3
2019-06-05 13:11 hgbot Checkin
2019-06-05 13:11 hgbot Note Added: 0112417
2019-06-05 13:11 hgbot Status scheduled => resolved
2019-06-05 13:11 hgbot Resolution open => fixed
2019-06-05 13:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/014ef9ca9806dd5d349dd2b31293a6ffc271e5d6 [^]
2019-06-05 15:54 Sandrahuguet Review Assigned To => Sandrahuguet
2019-06-05 15:54 Sandrahuguet Note Added: 0112429
2019-06-05 15:54 Sandrahuguet Status resolved => closed
2019-06-05 15:54 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-06-05 20:54 hudsonbot Checkin
2019-06-05 20:54 hudsonbot Note Added: 0112444


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker